# &kde;-Benutzerhandbuch

Stephan
Kulow

    coolo@kde.org

28.09.2007
K Desktop Environment
kde4-config
1

# `kde4-config`

Gibt die Installationspfade von &kde; aus

    kde4-config --expandvars --prefix --exec-prefix --libsuffix --localprefix --version --types --path type --userpath type --install type

## Beschreibung

kde4-config ist Befehlszeilenprogramm, mit dem Informationen über die &kde;-Installation oder Benutzerpfade abgerufen werden können.

Verwenden Sie dieses Programm zur Abfrage der verschiedenen Aspekte der auf Ihrem System vorliegenden &kde;-Installation.

## Optionen

`--expandvars`

  ${prefix} und ${exec_prefix} bei der Ausgabe expandieren

`--prefix`

  Einkompiliertes prefix für &kde;-Bibliotheken

`--exec-prefix`

  Einkompiliertes exec_prefix für &kde;-Bibliotheken

`--libsuffix`

  Bei der Kompilierung gesetztes library path suffix

`--localprefix`

  Präfix für das Schreiben von Dateien in $`HOME`.

`--version`

  Einkompilierte Versionszeichenkette für &kde;-Bibliotheken

`--types`

  Ausgabe der Liste aller verfügbaren &kde;-Ressourcetypen

`--path Typ`

  Suchpfad für den angegebenen Typ

`--userpath Typ`

  Benutzerpfade für die Typen: desktop|autostart|trash|document

`--install Typ`

  Präfix, in dem Ressourcen-Dateien abgelegt werden

## Beispiele

Ausgabe des Basisordners der &kde;-Installation:

&percnt;``kde4-config --prefix``

Ausgabe einer Liste aller Ressourcentypen:

&percnt;``kde4-config --types``

Ausgabe des Pfades des installierten Arbeitsflächenhintergrunds:

&percnt;``kde4-config --path wallpaper``

## Siehe auch

kdeoptions(7)

## Fehler

Keine bekannt.